* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;

    --title-color: #4F686F;
    --second-title-color: #3E4F66;
    --under-title-color: #7FAEC5;
    --highlight-color: #69CD58;
    --title-font: 'Raleway', sans-serif;
    --second-font: 'Open Sans', sans-serif;
    --title-font-size: 3rem;
    --second-font-size: 1.3rem;
    --title-font-weight: 700;
    --second-font-weight: 550;
    --third-font-size: 1.4rem;
}


@media (prefers-reduced-motion: no-preference) {
    html {
        scroll-behavior: smooth;
    }
}



body {
    display: flex;
    flex-direction: column;
}

::-webkit-scrollbar {
    width: 0.6rem;
    height: 0.6rem;
}

::-webkit-scrollbar-track {
    background-color:#e3e8e9;
}

::-webkit-scrollbar-thumb {
    background-color: #b9c4c7;
    transition: 0.3s ease;
}

::-webkit-scrollbar-thumb:hover {
    background-color: var(--under-title-color);
}

main {
    display: flex;
    flex-direction: column;
}

.mainTitle {
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    min-width: 24rem;
}

.mainTitle h1 {
    font-size: 3.5rem;
}

.dropdown-button {
    display: flex;
    align-items: center;
    gap: .25em;
}

.dropdown-button::after {
    content:"";
    display: block;
    transition: rotate 0.3s ease;
    line-height: 1em;
    clip-path:polygon(0% 0%, 100% 0%, 50% 100%, 0% 0%);
    background-color: currentColor; 
    width:.5em;
    aspect-ratio: 1/.86;
}

.dropdown-button.open:after {
    rotate: 180deg;
}

.meerLezen {
    gap: 0.5em;
}


.meerLezen::after {
    content:"";
    display: block;
    transition: rotate 0.3s ease;
    line-height: 1em;
    clip-path:polygon(0% 0%, 100% 50%, 0% 100%, 0% 0%);
    background-color: currentColor; 
    width:.5em;
    aspect-ratio: 1/.86;
    align-self: center;
    transition: 0.3s ease;
}

.meerLezen.open:after {
    rotate: 180deg;
}

h1 {
    font-size: var(--title-font-size);
    font-family: var(--title-font);
    font-weight: var(--title-font-weight);
    color: var(--title-color);
}

#underTitle {
    font-size: 1.5rem;
    font-weight: var(--second-font-weight);
    font-family: var(--title-font);
    color: var(--under-title-color);
    width: 75%; 
    word-wrap: break-word; 
}

p, .meerLezen{
    font-size: var(--third-font-size);
    font-weight: var(--second-font-size);
    font-family: var(--second-font);
    color: var(--title-color);
    max-width: 30em;
}

.meerLezen {
    text-decoration: none;
    cursor: pointer;
    background: none;
    border: none;
    display: flex;
}

.extraText {
    display: none;
}

#appImage {
    margin-top: 5%;
    margin-left: 10%;
    max-width: 80vw;
}

.mainSection {
    background-image: url(../assets/mainSVG4.svg);
    background-position: center bottom;
    background-size: 100vw auto;
    background-repeat: no-repeat;
    height: 101vh;
}

.secondSection {
    padding-top: 80px;
    margin-left: 10%;
    margin-right: 10%;
}

header {
    color: var(--title-color);
    font-family: var(--title-font);
    background-color: #fff;
    display: flex;
    flex-direction: column;
    position: fixed;
    width: 100%;
    z-index: 12;
}

header h1 {
    font-size: var(--title-font-size);
    font-weight: var(--title-font-weight);
    margin: 0;
    transition: 0.3s ease;;
}

header a {
    color: var(--title-color);
    text-decoration: none;
    font-family: var(--title-color);
    font-size: var(--second-font-size);
    transition: 0.3s ease;
}


header .links:hover, header h1:hover{
    color: var(--highlight-color);
}

.nav-container {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
}

.nav-logo{
    margin-bottom: 0.6%;
}

.nav-links ul {
    list-style: none;
    display: flex;
    gap: 2rem;
}

#contactLink, #homeLink {
    display: none;
}

.header-line {
    width: 100%;
    height: 0.6rem;
    position: absolute;
    bottom: 0;
    border: none;;
    animation-duration: 0.1s;
}   

.header-line::-webkit-progress-bar {
    background-color: #e3e8e9;
 }

.header-line::-webkit-progress-value {
    background-color: #7FAEC5;
    transition: 0.3s ease;
}   

ul button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    color: var(--title-color);
    font-family: var(--title-font);
    font-size: var(--second-font-size);
    transition: 0.3s ease;;
}

ul button:hover {
    color: var(--highlight-color);
}

.dropdown {
    margin-right: 1rem;
}

.dropdown-content {
    display: block;
    height: 0; 
    overflow: hidden;
    position: absolute;
    background-color: white;
    margin-top: 0.9vh;
    z-index: 10;
    width: 100vw;
    left: 0;
    transition: 0.3s ease-in-out;
}

.dropdown-content a {
    display: flex;
    text-decoration: none;
    font-size: 2rem;
    line-height: 4rem;
    justify-content: center;
}

.dropdown-content a:hover {
    color: white;
    background-color: var(--under-title-color);
}

#waaromSection img{
    margin-top: 10%;
    width: 100%;
}

.articles {
    display: flex;
    flex-direction: row;
    max-width: 84vw;
    overflow-x: scroll;
    overflow-y: hidden;
}

#lezenSection {
    margin-right: 0;
}

#lezenSection p {
    max-width: 80%;
}

.articleContainer {
    display: flex;
    flex-direction: column;
    min-width: 15rem;
    height: 40vh;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    margin: 1rem 2rem 1rem 0;
}

.articleImage { 
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.textContainer {
    position: absolute;
    bottom: 0;
    left: 0;
    background-image: linear-gradient(180deg, rgba(0, 0, 0, 0.0), rgba(0, 0, 0, 0.6));
    padding: 0.7rem;
    line-height: 1.4;
    width: 100%;
}

.textContainer a {
    font-size: 0.9rem;
    font-weight: var(--second-font-size);
    font-family: var(--second-font);
    color: white;
    text-decoration: none;
}

.textContainer p {
    font-size: var(--second-font-size);
    font-weight: var(--second-font-size);
    font-family: var(--second-font);
    color: white;
    text-decoration: underline;
}

footer {
    background-color: #AEDBAB;
    height: 13vh;
    position: relative;
}

footer p {
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translateX(-50%);
    white-space: nowrap;
}

#contactSection {
    height: 85vh;
    overflow: hidden;
    position: relative;
    margin-right: 0;
}

#tonSVG {
    display: none;
}

#flowerSVG {
    display: none;
}

form {
    display: flex;
    position: absolute;
    flex-direction: column;
    justify-content: center;
    width: 80%;
}

#nieuwsgierig {
    width: 80%;
}

input[type=text], input[type=email], textarea, input[type=submit] {
    width: 100%;
    padding: 12px 12px;
    margin-top: 1rem;
    border: none;
    border-bottom: 0.15rem solid var(--second-title-color);
    font-size: var(--third-font-size);
    color: var(--second-title-color);
    font-family: var(--second-font);
}

textarea {
    height: 25vh;
    resize: none;
}

input[type=submit] {
    background-color: var(--highlight-color);
    color: var(--second-title-color);
    border: none;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

input[type=submit]:active {
    translate: 0 2px;;
}


input[type=submit]:hover {
    background-color: var(--under-title-color);
    color: white;
}

@media (min-width: 600px) {
    .mainSection {
        background-image: url(../assets/mainSVG3.svg), url(../assets/rainSVG.svg);
        background-position: center bottom, 82vw 8vh;
        background-size: 100vw auto, 12rem;
        background-repeat: no-repeat;
    }
    .nav-container {
        justify-content: space-between;
        width:80%;
        margin-left: 10%;
    }
    .nav-container ul {
        margin-left: 0vw;
    }
    .secondSection {
        padding-top: 80px;
    }

    * {
            --title-font-size: 2.5rem;
            --second-font-size: 1.2rem;
    }

    #waaromSection img{
        display: none;
    }

    #flowerSVG {
        display: flex;
        position: absolute;
        bottom: 4%;
        right: 7%;
        scale: 3;
    }

    .dropdown-content {
        width: 10rem;
        left: auto;
        right: 10%;
        position: absolute;
        z-index: 12;
    }
    
    .dropdown-content a {
        font-size: 1.2rem;
        line-height: 3rem;
    }

    #underTitle {
        width: 100%;
        word-wrap: break-word; 
    }
    #waaromSection {
        height: 85vh;
        background-image: url(../assets/waaromSection3.svg);
        background-position: center bottom;
        background-size: 85vw auto;
        background-repeat: no-repeat;
    }
    
    #appImage {
        max-width: 60vw;
    }
}

@media (min-width: 800px) {
    .mainSection {
        background-image: url(../assets/mainSVG2.svg), url(../assets/rainSVG.svg);
        background-position: center bottom, 78vw 8vh;
        background-size: 100vw auto, 12rem;
        background-repeat: no-repeat;
    }
    #contactLink, #homeLink {
        display: flex;
    }
    .articleContainer {
        min-width: 23rem;
    }

    form {
        width: 50%;
    }

    #flowerSVG {
        right: 30%;
    }

    #tonSVG {
        display: flex;
        position: absolute;
        -webkit-transform: scaleX(-1);
        transform: scaleX(-1);
        right: -22%;
        bottom: -1%;
    }

    #appImage {
        max-width: 40vw;
    }
    
}


@media (min-width: 1000px) {
    .mainSection {
        background-image: url(../assets/mainSVG.svg), url(../assets/rainSVG.svg);
        background-position: center bottom, 75vw -10vh;
        background-size: 100vw auto, 15rem;
        background-repeat: no-repeat;    
    }
    
    #flowerSVG {
        right: 20%;
    }
    #waaromSection {
        height: 85vh;
        background-image: url(../assets/waaromSection.svg);
        background-position: center bottom;
        background-size: 85vw auto;
        background-repeat: no-repeat;
    }
    
    #waaromSection p{
        max-width: 40vw;    
    }

    #appSection p{
        max-width: 40vw;
    }
    #waarom2Section p{
        max-width: 40vw;    
    }
    #appImage {
        display: none;
    }
    #backgroundImage {
        background-image: url(../assets/app.svg);
        background-position: 90% bottom;
        background-size: min(30%, 20em) auto;
        background-repeat: no-repeat;
    }
}


@media (min-width: 1300px) {
    #tonSVG {
        right: 2%;
    }
    #flowerSVG {
        right: 30%;
    }
    .mainSection {
        background-image: url(../assets/mainSVG.svg), url(../assets/rainSVG.svg);
        background-position: center bottom, 73vw -10vh;
        background-size: 100vw auto, 15rem;
    }
    #waaromSection {
        background-size: 75vw auto;
    }

}
